- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
not
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Logical operations

Logical not of an input. More...

## Functions
AFAPI af_err | af_not (af_array *out, const af_array in)
| C Interface for performing logical not on input. More...
array | operator! () const
| Performs a not operation on the values of the array. More...

## Detailed Description

Logical not of an input.

## Function Documentation

AFAPI af_err af_not | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface for performing logical not on input.

Parameters

  [out] | out | will contain result of logical not of `in`
  [in] | in | is the input

Returns
  AF_SUCCESS if the execution completes properly

array operator! | ( |  | ) | const

Performs a not operation on the values of the array.

Returns
  an array with negated values